Subject: Re: [Sipping] instance-ID for SIP UA

From: "Daniel G. Petrie" <[email-masked]>
Date: Fri, 22 Oct 2004 14:28:30 -0400

Paul Kyzivat wrote:
> 
> Simonetti Gabrielle wrote:
> >
> >>>   First issue - What is the format of the instance-ID?
> >>>We would like a standardized instance-ID for all UA.
> >>
> >>Jennings draft suggests the format "RANID-" followed by a 16
> >>digit representation of a random 64 bit number. Couldn't this
> >>number be associated with the local domain to obtain a unique
> >>URI identifying the UA instance to be used for the
> >>subscription to the "device" profile?
> >>
> >>In the GRUU spec we tried not to be too specific about this -
> >>it is only
> >>important that there be a mechanism for comparing instance
> >>IDs and that
> >>each be unique. For this purpose it is sufficient that the id
> >>be a URN.
> >>
> >>However, we did have in mind a particular form of URN as especially
> >>suitable: the UUID URN as defined in
> >>draft-mealling-uuid-urn-03. But we
> >>didn't want to reference it normatively because it would impose a
> >>dependency on the order in which they become RFCs.
> >
> > The one thing that tickled me about using the GRUU to retrieve the device profile is that it involves an AOR. Yet the "device" profile is only concerned with the device itself and there is no user involved in the process at this point. So should the URN alone be used as the request URI and in the From/To Header fields? Or should it be escaped and associated to the local domain?
> 
> I don't think anyone is suggesting that you use the gruu to retrieve the
> device profile.
> 

Yes the GRUU should not be used as the subscription URI for configuration.  
The instance-id is escaped and used as the user-id portion when forming the 
URI for subscription as described in sections 3.13.1 and 4.1 of 
draft-ietf-sipping-config-framework-04.txt  Please let me know how
I can clarify these sections if they have caused your confusion
above on applying the instance-id.

> What is being suggested is that the gruu mechanism now uses an instance
> ID to identify the specific UA that is requesting the gruu, and that
> that same instance ID could be used to retrieve the "device" profile.
> 
> I believe the identity and uniqueness properties required by the two
> applications are the same, so the same id seems appropriate.
> 
>         Paul
> 
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP